#pragma once

#include "CoreMinimal.h"
#include "ChallengeLoadoutItemData.h"
#include "ChallengeTooltipData.generated.h"

USTRUCT(BlueprintType)
struct FChallengeTooltipData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString ImagePath;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SkipSerialization)
	bool ImagePath_IsSet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<int32> Characters;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SkipSerialization)
	bool Characters_IsSet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FChallengeLoadoutItemData> Items;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SkipSerialization)
	bool Items_IsSet;

public:
	DEADBYDAYLIGHT_API FChallengeTooltipData();
};

FORCEINLINE uint32 GetTypeHash(const FChallengeTooltipData) { return 0; }
